/*
 * This is a simple program to check a type of a triangle from the length of
 * specified edges. The edges are given as three numerical parameters to the
 * program on the command line. Program checks for the proper number of
 * parameters, then it checks for triangle inequality, and outputs most precise
 * characteristics of the triangle under inspection (equiliteral, isosceles,
 * scalene).
 */

#include <stdio.h>
#include <stdlib.h>

enum {
	NO_TRIANGLE = 0,
	SCALENE,
	EQUILATERAL,
	ISOSCELES
};

/**
 * This function returns NO_TRIANGLE, SCALENE, EQUILATERAL or ISOSCELES
 * depending on whether the values A, B and C form no triangle,
 * scalene triangle, equilateral triangle or isosceles triangle.
 */
int tell_triangle(int A, int B, int C)
{
	/* put your code here */
}

int main(int argc, char** argv)
{

    /* -----------------------------------------------------------------
     * Move the code from here (or from the triangle.c that you fixed
     * on the last tutorials) to tell_triangle() function. Then test it!
     * ----------------------------------------------------------------- */

    if (argc!=4)
    {
        printf("Need exactly three numerical arguments.\n");
	return 0;
    }
   
    
    int A,B,C;
    A=atoi( argv[1] );
    B=atoi( argv[2] );
    C=atoi( argv[3] );

    

    printf("Parameter entered (A,B,C) = (%d,%d,%d)\n",A,B,C);
    printf("These edges ");
    
    
    if ( (A+B <= C) || (A+C <= B) )
    {
        printf("do not form a triangle.");
    }
    else
    {
        printf("form ");
    }

  

    if ( A==B || A==C || B==C )
    {
        if (A==B && B==C)     // equilateral
        {
	  printf("a equilateral triangle.");
        }
        else      // isosceles 
        {
	  printf("an isosceles triangle.");
        }
    }
    else  // scalene
    {
      printf("a scalene triangle.");
    }

    printf("\n");
    return 0;    
}

